Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Interface FrameworkKonstanten

All Known Subinterfaces:
  IController

All Known Implementing Classes:
  Controller

public interface FrameworkKonstanten

In diesem Interface sind verschiedene Konstanten definiert, die innerhalb des Frameworks benoetigt werden. Die einzelnen Konstanten koennen in Controllern direkt angesprochen werdne, da die Klasse `Controller` dieses Interrface implementert.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`static int` | `DEFAULT` Controller im Defaultmodus erzeugen(Mit Menü und Toolbar)
`static int` | `EDITMODE` Mode-Konstante für den Modus Edit
`static String` | `FRAMEWORK_LAF` LookAndFeel Framework
`static String` | `METAL_LAF` LookAndFeel Metal
`static String` | `MOTIF_LAF` LookAndFeel Motif
`static int` | `NEWMODE` Mode-Konstante für den Modus Neu
`static int` | `OHNE` Controller ohne Menü und Toolbar
`static int` | `ONLY_MENU` Controller nur mit Menü
`static int` | `ONLY_TOOLBAR` Controller nur mit Toolbar
`static int` | `SHOWMODE` Mode-Konstante für Modus Show
`static String` | `WINDOWS_LAF` LookAndFeel Windows

Field Detail

### NEWMODE

    public static final int NEWMODE

  Mode-Konstante für den Modus Neu

  See Also:
    Constant Field Values

### EDITMODE

    public static final int EDITMODE

  Mode-Konstante für den Modus Edit

  See Also:
    Constant Field Values

### SHOWMODE

    public static final int SHOWMODE

  Mode-Konstante für Modus Show

  See Also:
    Constant Field Values

### DEFAULT

    public static final int DEFAULT

  Controller im Defaultmodus erzeugen(Mit Menü und Toolbar)

  See Also:
    Constant Field Values

### OHNE

    public static final int OHNE

  Controller ohne Menü und Toolbar

  See Also:
    Constant Field Values

### ONLY_MENU

    public static final int ONLY_MENU

  Controller nur mit Menü

  See Also:
    Constant Field Values

### ONLY_TOOLBAR

    public static final int ONLY_TOOLBAR

  Controller nur mit Toolbar

  See Also:
    Constant Field Values

### WINDOWS_LAF

    public static final String WINDOWS_LAF

  LookAndFeel Windows

  See Also:
    Constant Field Values

### METAL_LAF

    public static final String METAL_LAF

  LookAndFeel Metal

  See Also:
    Constant Field Values

### MOTIF_LAF

    public static final String MOTIF_LAF

  LookAndFeel Motif

  See Also:
    Constant Field Values

### FRAMEWORK_LAF

    public static final String FRAMEWORK_LAF

  LookAndFeel Framework

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD